Confirm Payment
curl --request POST \
--url https://app.plugchoice.com/api/v3/public-charging/sessions/{token}/confirm \
--header 'Authorization: Bearer <token>'{
"data": {
"status": "<string>",
"failure_reason": "<string>",
"connector_id": 123,
"connector_status": "<string>",
"charger": {
"public_code": "<string>",
"name": "<string>",
"online": true
},
"pricing": {
"currency": "<string>",
"price_per_kwh": 123,
"start_fee": 123
},
"amount_authorized": 123,
"energy_kwh": "<string>",
"cost_amount": 123,
"amount_captured": 123,
"tax_amount": 123,
"driver_email": "<string>",
"created_at": "<string>",
"authorized_at": "<string>",
"charging_started_at": "<string>",
"completed_at": "<string>",
"captured_at": "<string>"
}
}Public Charging
Confirm Payment
POST
/
v3
/
public-charging
/
sessions
/
{token}
/
confirm
Confirm Payment
curl --request POST \
--url https://app.plugchoice.com/api/v3/public-charging/sessions/{token}/confirm \
--header 'Authorization: Bearer <token>'{
"data": {
"status": "<string>",
"failure_reason": "<string>",
"connector_id": 123,
"connector_status": "<string>",
"charger": {
"public_code": "<string>",
"name": "<string>",
"online": true
},
"pricing": {
"currency": "<string>",
"price_per_kwh": 123,
"start_fee": 123
},
"amount_authorized": 123,
"energy_kwh": "<string>",
"cost_amount": 123,
"amount_captured": 123,
"tax_amount": 123,
"driver_email": "<string>",
"created_at": "<string>",
"authorized_at": "<string>",
"charging_started_at": "<string>",
"completed_at": "<string>",
"captured_at": "<string>"
}
}Confirms the pre-authorization after the driver completes payment in the browser. Call this right after
stripe.confirmPayment to reconcile the session without waiting for the Stripe webhook. This endpoint does not require authentication and is rate limited to 10 requests per minute. The session token is the credential. Returns 404 if the token is unknown or has expired.
The session token returned when the session was started.
Response
The updated session details.
Show session
Show session
The session status. One of
created, authorized, starting, charging, stopping, settling, captured, no_charge, expired, failed, abandoned, capture_failed, requires_review, refunded, written_off.The reason the session failed or was abandoned, if any. May be
null.The OCPP connector ID the session runs on.
The current OCPP status of the connector. One of
Available, Charging, Faulted, Finishing, Preparing, Reserved, SuspendedEV, SuspendedEVSE, Unavailable. May be null.The pre-authorized hold amount in the currency’s minor units. May be
null.The energy delivered in kWh, as a decimal string. While charging, this is an estimate from the latest meter value. May be
null.The running cost in the currency’s minor units, capped at the authorized amount. May be
null.The final amount captured in the currency’s minor units. May be
null.The tax portion of the captured amount in the currency’s minor units. May be
null.The driver’s receipt email. May be
null.ISO 8601 timestamp of when the session was created. May be
null.ISO 8601 timestamp of when the payment was authorized. May be
null.ISO 8601 timestamp of when charging started. May be
null.ISO 8601 timestamp of when charging completed. May be
null.ISO 8601 timestamp of when the payment was captured. May be
null.⌘I